Skip to content
Newer
Older
100644 55 lines (44 sloc) 1.21 KB
03779e1 Start Rails 3.2 upgrade
Gabriel Evans authored Jan 20, 2012
1 source 'https://rubygems.org'
3f111df @jasoncheow Upgrade to Rails 3 by replacing default Rails generated files where a…
jasoncheow authored Nov 13, 2010
2
03779e1 Start Rails 3.2 upgrade
Gabriel Evans authored Jan 20, 2012
3 gem 'rails', '3.2.0.rc2'
3f111df @jasoncheow Upgrade to Rails 3 by replacing default Rails generated files where a…
jasoncheow authored Nov 13, 2010
4
5 # Bundle edge Rails instead:
6 # gem 'rails', :git => 'git://github.com/rails/rails.git'
7
03779e1 Start Rails 3.2 upgrade
Gabriel Evans authored Jan 20, 2012
8 # Gems used only for assets and not required
9 # in production environments by default.
10 group :assets do
11 gem 'sass-rails', '~> 3.2.3'
12 gem 'coffee-rails', '~> 3.2.1'
13 end
14
8dd39fd @BanzaiMan JRuby compatibility. We require RedCloth 4.2.7 here, since it is the …
BanzaiMan authored Nov 3, 2011
15 platforms :ruby do
16 gem 'sqlite3-ruby', :require => 'sqlite3'
17 end
18
19 platforms :jruby do
20 gem 'activerecord-jdbcsqlite3-adapter'
21 gem 'trinidad'
22 gem 'jruby-openssl'
23 end
3f111df @jasoncheow Upgrade to Rails 3 by replacing default Rails generated files where a…
jasoncheow authored Nov 13, 2010
24
25 # Use unicorn as the web server
26 # gem 'unicorn'
27
28 # Deploy with Capistrano
29 # gem 'capistrano'
30
31 # To use debugger
32 # gem 'ruby-debug'
33
34 # Bundle the extra gems:
03779e1 Start Rails 3.2 upgrade
Gabriel Evans authored Jan 20, 2012
35 gem 'RedCloth', '~> 4.2.9', :require => 'redcloth'
3f111df @jasoncheow Upgrade to Rails 3 by replacing default Rails generated files where a…
jasoncheow authored Nov 13, 2010
36 gem 'ruby-openid', :require => 'openid'
37 gem 'rack-openid', :require => 'rack/openid'
ac3d3ad @xaviershay Use a better version of Chronic, remove hack in Post model
authored Nov 14, 2010
38 gem 'aaronh-chronic', :require => 'chronic' # Fixes for 1.9.2
3f111df @jasoncheow Upgrade to Rails 3 by replacing default Rails generated files where a…
jasoncheow authored Nov 13, 2010
39 gem 'coderay'
40 gem 'lesstile'
41 gem 'formtastic'
03779e1 Start Rails 3.2 upgrade
Gabriel Evans authored Jan 20, 2012
42 gem 'will_paginate', '~> 3.0.2'
3f111df @jasoncheow Upgrade to Rails 3 by replacing default Rails generated files where a…
jasoncheow authored Nov 13, 2010
43
44 # Bundle gems for the local environment. Make sure to
45 # put test-only gems in this group so their generators
46 # and rake tasks are available in development mode:
47 group :development, :test do
a73bbc2 @xaviershay Get features running (but still failing)
authored Nov 14, 2010
48 gem 'cucumber-rails'
3f111df @jasoncheow Upgrade to Rails 3 by replacing default Rails generated files where a…
jasoncheow authored Nov 13, 2010
49 gem 'webrat'
50 gem 'factory_girl'
51 gem 'rspec'
52 gem 'rspec-rails'
5a52fba @xaviershay Remove hpricot, upgrade nokogiri for windows compat (I hope). Fixes #34.
authored Nov 12, 2011
53 gem 'nokogiri', '~> 1.5.0'
3f111df @jasoncheow Upgrade to Rails 3 by replacing default Rails generated files where a…
jasoncheow authored Nov 13, 2010
54 end
Something went wrong with that request. Please try again.